commit:     ee8b421a75f07ba080244b75cb351a7a08edf58d
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun May 28 22:04:03 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun May 28 22:05:08 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee8b421a

app-misc/mosquitto: Version bump to 1.4.11, proxy commit for Neil Bothwick

* Add support for WebSockets (bug 588504)
* Fix prestripped files
* Respect CC

Gentoo-Bug: 615678

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 app-misc/mosquitto/Manifest                |  1 +
 app-misc/mosquitto/metadata.xml            |  1 +
 app-misc/mosquitto/mosquitto-1.4.11.ebuild | 96 ++++++++++++++++++++++++++++++
 3 files changed, 98 insertions(+)

diff --git a/app-misc/mosquitto/Manifest b/app-misc/mosquitto/Manifest
index d404db1ef51..97732b6a437 100644
--- a/app-misc/mosquitto/Manifest
+++ b/app-misc/mosquitto/Manifest
@@ -1 +1,2 @@
 DIST mosquitto-1.4.10.tar.gz 359569 SHA256 
437648d68a4a781dd8d913814cd5451f59ab4a5fcf84cccaf7c36e6a07459770 SHA512 
fe5d6d7196a137a496ba6881c77d852396baefb4f0b83ccd9a22175fc05b09e48a09ea249e30ec7db966e11de134ebcc4e2e9b1fd40b31dc59fb0fa2f60b75a1
 WHIRLPOOL 
9510060701259e78c39bf88989ce8142d11e0b53348a20c1a71ffc69b98d7c1725c9315026d392d8d86d131bc55c86492a91ddde94eca0d353f1d3ab6ef6900f
+DIST mosquitto-1.4.11.tar.gz 361468 SHA256 
ca47533bbc1b7c5e15d6e5d96d3efc59677f2515b6692263c34b7c48f33280c5 SHA512 
c05ca8679b9a6f540868f4ccf701257fcabc114d5450ac0bbbe80b91bb7cd4fc52668773e945506760c7a5bd8a494e0a56100714112e5d2713d57bfab8951587
 WHIRLPOOL 
d4418b951ff55eaba1fc67b324f1ecdd0d55c0eea066be9793de30e8561d0fe0e36537adb688fc98764758998086eb64b827041e76160ddc858c6066f83e8f21

diff --git a/app-misc/mosquitto/metadata.xml b/app-misc/mosquitto/metadata.xml
index da548ae04a8..53e88eadda1 100644
--- a/app-misc/mosquitto/metadata.xml
+++ b/app-misc/mosquitto/metadata.xml
@@ -13,5 +13,6 @@
                <flag name="bridge">Enable bridge support in the MQTT 
broker.</flag>
                <flag name="persistence">Store messages and subscriptions to a 
file.</flag>
                <flag name="srv">Include SRV lookup support.</flag>
+               <flag name="websockets">Support the WebSocket protocol.</flag>
        </use>
 </pkgmetadata>

diff --git a/app-misc/mosquitto/mosquitto-1.4.11.ebuild 
b/app-misc/mosquitto/mosquitto-1.4.11.ebuild
new file mode 100644
index 00000000000..3f4677c38d1
--- /dev/null
+++ b/app-misc/mosquitto/mosquitto-1.4.11.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils systemd user toolchain-funcs python-any-r1
+
+DESCRIPTION="An Open Source MQTT v3 Broker"
+HOMEPAGE="http://mosquitto.org/";
+SRC_URI="http://mosquitto.org/files/source/${P}.tar.gz";
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~arm"
+IUSE="bridge examples +persistence +srv ssl tcpd websockets"
+
+RDEPEND="tcpd? ( sys-apps/tcp-wrappers )
+       ssl? ( dev-libs/openssl:0= )"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       srv? ( net-dns/c-ares )
+       websockets? ( net-libs/libwebsockets )"
+
+pkg_setup() {
+       enewgroup mosquitto
+       enewuser mosquitto -1 -1 -1 mosquitto
+}
+
+src_prepare() {
+       epatch "${FILESDIR}/${PN}-1.4.10-conditional-tests.patch"
+       if use persistence; then
+               sed -i -e "s:^#autosave_interval:autosave_interval:" \
+                       -e "s:^#persistence false$:persistence true:" \
+                       -e "s:^#persistence_file:persistence_file:" \
+                       -e "s:^#persistence_location$:persistence_location 
/var/lib/mosquitto/:" \
+                       mosquitto.conf || die
+       fi
+
+       # Remove prestripping
+       sed -i -e 's/-s --strip-program=${CROSS_COMPILE}${STRIP}//'\
+               client/Makefile lib/cpp/Makefile src/Makefile lib/Makefile || 
die
+
+       python_setup
+       python_fix_shebang test
+}
+
+src_configure() {
+       LIBDIR=$(get_libdir)
+       makeopts=(
+               "CC=$(tc-getCC)"
+               "LIB_SUFFIX=${LIBDIR:3}"
+               "WITH_BRIDGE=$(usex bridge)"
+               "WITH_PERSISTENCE=$(usex persistence)"
+               "WITH_SRV=$(usex srv)"
+               "WITH_TLS=$(usex ssl)"
+               "WITH_WEBSOCKETS=$(usex websockets)"
+               "WITH_WRAP=$(usex tcpd)"
+       )
+}
+
+src_compile() {
+       emake "${makeopts[@]}"
+}
+
+src_test() {
+       emake "${makeopts[@]}" test
+}
+
+src_install() {
+       emake "${makeopts[@]}" DESTDIR="${D}" prefix=/usr install
+       keepdir /var/lib/mosquitto
+       fowners mosquitto:mosquitto /var/lib/mosquitto
+       dodoc readme.md CONTRIBUTING.md ChangeLog.txt
+       doinitd "${FILESDIR}"/mosquitto
+       insinto /etc/mosquitto
+       doins mosquitto.conf
+       systemd_dounit "${FILESDIR}/mosquitto.service"
+
+       if use examples; then
+               docompress -x "/usr/share/doc/${PF}/examples"
+               insinto "/usr/share/doc/${PF}/examples"
+               doins -r examples/*
+       fi
+}
+
+pkg_postinst() {
+       elog ""
+       elog "The Python module has been moved out of mosquitto."
+       elog "See http://mosquitto.org/documentation/python/";
+       elog ""
+       elog "To start the mosquitto daemon at boot, add it to the default 
runlevel with:"
+       elog ""
+       elog "    rc-update add mosquitto default"
+       elog "    or"
+       elog "    systemctl enable mosquitto"
+}

Reply via email to